{
    "model": "gpt-5-mini",
    "prompt_variables": [
        "customer_name",
        "region",
        "detail_region_info",
        "marketing_intelligence_summary",
        "language",
        "promotional_expression_example",
        "timing_rules"
    ],
    "output_format": {
        "format": {
            "type": "json_schema",
            "name": "lyric",
            "schema": {
                "type": "object",
                "properties": {
                    "lyric": {
                        "type": "string"
                    },
                    "suno_prompt":{
                        "type" : "string"
                    }
                },
                "required": [
                    "lyric", "suno_prompt"
                ],
                "additionalProperties": false
            },
            "strict": true
        }
    }
}